DROP DATABASE IF EXISTS webshop;
CREATE DATABASE webshop;
\connect webshop

CREATE TABLE items(
    id SERIAL,
    name TEXT,
    description TEXT,
    company TEXT,
    price DECIMAL,
    picture_url TEXT,
    stock_count INTEGER,
    PRIMARY KEY (id)
);

CREATE TABLE customers(
  id SERIAL,
  first_name TEXT,
  last_name TEXT,
  street TEXT,
  city TEXT,
  email TEXT UNIQUE,
  PRIMARY KEY (id)
);

CREATE TABLE orders(
  id SERIAL,
  customer_id INTEGER,
  date DATE,
  PRIMARY KEY (id),
  FOREIGN KEY (customer_id) REFERENCES customers (id)
);

CREATE TABLE orders_items(
  order_id INTEGER,
  item_id INTEGER,
  quanitity INTEGER,
  FOREIGN KEY (order_id) REFERENCES orders (id),
  FOREIGN KEY (item_id) REFERENCES items (id)
);
