<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Badezon</title>
        <link rel="stylesheet" type="text/css" href="css/style.css">
    </head>
    <body>
        <h1>Badezon</h1>
        <c:set var="itemQuanitity" value="${0}" />
        <c:forEach items="${cart}" var="entry">
            <c:set var="itemQuanitity" value="${itemQuanitity + entry.value}" />
        </c:forEach>
        <a href="checkout">Warenkorb (${itemQuanitity})</a>
        <a href="controller">Home</a>
        <c:set var="item" value="${items[detail_item_id]}" />
        <div class="item-container">
            <div class="item">
                <div class="item__image">
                    <img src="${item.picture}">
                </div>
                <div class="item__details">
                    <div class="item__details__name">
                        <a href="detail?action=view&item_id=${item.id}">${item.name}</a>
                    </div>
                    <div class="item__details__company">
                        by ${item.company}
                    </div>
                    <div class="item__details__price">
                        EUR <fmt:formatNumber pattern="#.00" value="${item.price}" />
                    </div>
                    <div class="item__details__rating">
                        <img src="http://www.libbyhellmann.com/wp-content/uploads/2015/11/5stars.png">
                    </div>
                    <div class="item__details__description">
                        ${item.description}
                    </div>
                    <div class="item__details__description">
                        Auf Lager: ${item.stockCount}
                    </div>
                    <form method="post" action="controller">
                        <select name="amount">
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5">5</option>
                        </select>
                        <input type="hidden" name="item_id" value=${item.id}>
                        <input type="hidden" name="action" value="add">
                        <input class="checkout_button" type="submit" value="In den Einkaufswagen">
                    </form>     
                </div>
            </div>
        </div>
    </body>
</html>
