package helpers;

import java.util.List;
import model.Item;

public class ItemHelper {
    
    public static int parseItemId(String itemIdString, List<Item> items) throws RuntimeException {
        if (itemIdString == null) {
            throw new RuntimeException("Invalid item id");
        }
        
        int itemId;
        try {
            itemId = Integer.parseInt(itemIdString);
        } catch (NumberFormatException e) {
            throw new RuntimeException("Invalid item id");
        }
        
        for (Item item : items) {
            if (item.getId() == itemId) {
                return itemId;
            }
        }
        throw new RuntimeException("Invalid item id");
    }
}
