package storage;

import generated.Customers.Row;
import java.io.File;
import javax.xml.bind.JAXBContext;
import java.util.Random;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;
import model.Customer;

public class CustomerStorage {
    
    private final String xmlDirectory; 
    
    public CustomerStorage(String xmlDirectory) {
        this.xmlDirectory = xmlDirectory;
    }

    private final String CUSTOMERS_TABLE = "/table_customers.xml";
    
    public int create(Customer customer) {
        try {
            JAXBContext context = JAXBContext.newInstance(generated.Customers.class);
            Unmarshaller u = context.createUnmarshaller();

            generated.Customers customersJaxb = (generated.Customers) u.unmarshal(new File(xmlDirectory + CUSTOMERS_TABLE));

            Row row = new Row();
            Random random = new Random();
            int randomId = random.nextInt(100000);
            row.setId(randomId);
            row.setFirstName(customer.getFirstName());
            row.setLastName(customer.getLastName());
            row.setEmail(customer.getEmail());
            row.setStreet(customer.getStreet());
            
            customersJaxb.getRow().add(row);

            Marshaller m = context.createMarshaller();
            m.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);

            m.marshal(customersJaxb, new File(xmlDirectory + CUSTOMERS_TABLE));
            
            return randomId;
        } catch (Exception e) {
            // nothing
        }
        
        return 0;
    }
    
}
