<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Badezon</title>
        <link rel="stylesheet" type="text/css" href="css/style.css">
    </head>
    <body>
        <h1>Badezon</h1>
        <a href="controller">Home</a>
        <c:set var="itemQuanitity" value="${0}" />
        <c:set var="itemPriceSum" value="${0}" />
        <c:forEach items="${cart}" var="entry">
            <c:set var="itemQuanitity" value="${itemQuanitity + entry.value}" />
            <c:set var="itemPriceSum" value="${itemPriceSum + items[entry.key].price * entry.value}" />
        </c:forEach>
        <a href="checkout">Warenkorb (${itemQuanitity})</a>
        
        <c:if test="${cart.size() == 0}">
            <h1>Dein Einkaufswagen ist leer</h1>
        </c:if>

        <c:if test="${cart.size() != 0}">
            <div class="item-container">
                <c:forEach items="${cart}" var="entry">
                    <div class="item">
                        <div class="item__image">
                            <img src="${items[entry.key].picture}">
                        </div>
                        <div class="item__details">
                            <div class="item__details__name">
                                <a>${items[entry.key].name}</a>
                            </div>
                            <div class="item__details__company">
                                by ${items[entry.key].company}
                            </div>
                            <div class="item__details__availability">
                                Auf Lager
                            </div>
                            <div class="item__details__shipping">
                                Für KOSTENFREIEN Versand qualifiziert
                            </div> 
                            <div class="item__details__price">
                                EUR <fmt:formatNumber pattern="#.00" value="${items[entry.key].price}" />
                            </div>
                            <div class="item__delete">
                                <a href="checkout?submit=remove&item_id=${items[entry.key].id}">Löschen</a>
                            </div>
                            <div>
                                Menge: ${entry.value}
                            </div>
                        </div>
                   </div>
                </c:forEach>
                <div class="checkout_sum">Summe (${itemQuanitity} Artikel):
                    <span class="checkout_sum__price"> 
                        EUR <fmt:formatNumber pattern="#.00" value="${itemPriceSum}" />
                    </span>
                </div>
            </div>

            <form method="post" action="checkout">
                <table>
                    <tr>
                        <td>
                            <input type="text" name="first_name" placeholder="First Name" required/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" name="last_name" placeholder="Last Name" required/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" name="street" placeholder="Street" required/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" name="city" placeholder="City" required/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="email" name="email" placeholder="Email Address" required/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="submit" name="submit" value="Checkout" required/>
                        </td>
                    </tr>
                </table>
            </form>
        </c:if>
    </body>
</html>
