<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Badezon</title>
        <link rel="stylesheet" type="text/css" href="css/style.css">
    </head>
    <body>
        <h1>Badezon</h1>
        <c:set var="itemQuanitity" value="${0}" />
        <c:forEach items="${cart}" var="entry">
            <c:set var="itemQuanitity" value="${itemQuanitity + entry.value}" />
        </c:forEach>
        <a href="checkout">Warenkorb (${itemQuanitity})</a>
        <a href="controller">Alle Hersteller</a>
        <c:forEach items="${companies}" var="company">
            <a href="controller?action=filter&company=${company}">${company}</a>
        </c:forEach>
        
        <div class="item-container">
            <c:forEach items="${items}" var="entry">
                <div class="item">
                    <div class="item__image">
                        <img src="${entry.value.picture}">
                    </div>
                    <div class="item__details">
                        <div class="item__details__name">
                            <a href="detail?item_id=${entry.value.id}">${entry.value.name}</a>
                        </div>
                        <div class="item__details__company">
                            by ${entry.value.company}
                        </div>
                        <div class="item__details__price">
                            EUR <fmt:formatNumber pattern="#.00" value="${entry.value.price}" />
                        </div>
                        <div class="item__details__rating">
                            <img src="http://www.libbyhellmann.com/wp-content/uploads/2015/11/5stars.png">
                        </div>
                        <div class="item__details__description">
                            ${entry.value.description}
                        </div>
                    </div>
                </div>
            </c:forEach> 
        </div>
    </body>
</html>
